<?php

/* Configuration of Whois online */
// TODO (All heavy tasks will be implemented latter here)
	// Reset/Set permanent
	// Manual cleaning older > 72 hours (even though permanent users)
	// Table sharing <= with antiaspi to lock user/IP
	// Functional requests can be turn on/off (Visited TN-IDs, Map, ...)

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
if (!defined('IN_ADMIN') or !IN_ADMIN) die('Hacking attempt!');
global $conf, $lang;
load_language('plugin.lang', WHOIS_ONLINE_PATH);

$conf_whois = unserialize($conf['Whois Online']);
$errors = array();
$infos = array();
// Get Current data
$conf['Whois Online Update'] = false;
whois_online_management();

$template->set_filenames(array(
    'plugin_admin_content' => dirname(__FILE__) . '/config.tpl',
		'double_select' => 'double_select.tpl'
		));

// Tabsheets 
include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
$_url = get_admin_plugin_menu_link(__FILE__);
if (!isset($_GET['tab'])) $page['tab'] = 'config';
else $page['tab'] = $_GET['tab'];  

$tabsheet = new tabsheet();
$tabsheet->add('config', l10n('config'), $_url.'&amp;tab=config');
$tabsheet->add('monitor', l10n('Monitor'), $_url.'&amp;tab=monitor');
$tabsheet->select($page['tab']);
$tabsheet->assign();
$template->assign('page', $page['tab']);

$sub = ( isset($_POST['submit']) ) ? true : false;

// Check input on config
if ($sub and isset($_POST['from']) and $_POST['from']=='config') {
  if (is_numeric($_POST['Level']) and $_POST['Level'] < 10 or $_POST['Level'] > 200) {
		array_push($errors, l10n('Error range: '). l10n('Delete level [10-200] (ratio between obsolete and active)'));
	}
	$conf_whois = Array(
		'Active' => ($_POST['Active']==1) ? true:false,
		'Delete level' => $_POST['Level'],
		'Obsolete limit' => $_POST['Limit'],
		'Add to Plugins menu' => ($_POST['Plugins_menu']==1) ? true:false,
		'Add icon to History' => ($_POST['History_icon']==1) ? true:false,
		'Keep data' => ($_POST['Keep_data']==1) ? true:false,
		'Default display' => ($_POST['Display']==1) ? true:false,
		'Version' => WHOIS_ONLINE_VER,
	);
	if (!$conf_whois['Add to Plugins menu']) 
		$conf_whois['Add icon to History'] = true;
}
// Check input on monitor
if ($sub and isset($_POST['from']) and $_POST['from']=='monitor') {
}
// Submit and Advisor => Thanks
if ( $sub and is_adviser() )
	array_push($infos, l10n('You are Adviser and you are not authorized to change this configuration.'));
// Submit and not Advisor => Update Config table
if ( $sub and !is_adviser() and count($errors) == 0 and $_POST['from']=='config') {
	if ( $conf['Whois Online'] != serialize($conf_whois) ) {
		pwg_query('REPLACE INTO ' . CONFIG_TABLE . " (param,value,comment)
    VALUES ('Whois Online','". serialize($conf_whois) ."','Whois Online configuration');");
	}
}
// Send data

if (count($errors) != 0) $template->assign('errors', $errors);
if (count($infos) != 0) $template->assign('infos', $infos);
$template->assign(Array(
	'Whois_version' => WHOIS_ONLINE_VER,
	'Whois_path' => WHOIS_ONLINE_PATH,
	'F_ACTION' => '',
));
$template->assign('Option', array(
		'Active' => ($conf_whois['Active']) ? 1 : 0,
		'Level' => $conf_whois['Delete level'],
		'Limit' => $conf_whois['Obsolete limit'],
		'Plugins_menu' => ($conf_whois['Add to Plugins menu']) ? 1 : 0,
		'History_icon' => ($conf_whois['Add icon to History']) ? 1 : 0,
		'Keep_data' => ($conf_whois['Keep data']) ? 1 : 0,
		'Display' => ($conf_whois['Default display']) ? 1 : 0,
	) );
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>